For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Attributes
                • POSTCreate Customer Attribute
                • PUTUpdate Customer Attribute
                • DELDelete Customer Attributes
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Attributes

List Customer Attributes

GET
https://api.bigcommerce.com/stores/:store_hash/v3/customers/attributes
GET
/stores/:store_hash/v3/customers/attributes
$curl https://api.bigcommerce.com/stores/store_hash/v3/customers/attributes \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200response
1{
2 "data": [
3 {
4 "name": "Loyalty Tier",
5 "type": "string",
6 "id": 101,
7 "date_modified": "2024-04-20T10:15:30Z",
8 "date_created": "2023-12-01T08:00:00Z"
9 },
10 {
11 "name": "Purchase Frequency",
12 "type": "number",
13 "id": 102,
14 "date_modified": "2024-05-01T12:00:00Z",
15 "date_created": "2024-01-15T09:30:00Z"
16 },
17 {
18 "name": "Membership Expiry",
19 "type": "date",
20 "id": 103,
21 "date_modified": "2024-05-10T14:45:00Z",
22 "date_created": "2024-02-20T11:20:00Z"
23 }
24 ],
25 "meta": {}
26}
Returns a list of Customer Attributes. You can pass in optional filter parameters.
Was this page helpful?
Previous

Delete Customer Attribute Values

Next

Create Customer Attribute

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number. page=1

limitdoubleOptional

Items count per page. limit=50

namestringOptional

Filter items by customer attribute name. name=Date+Joined

name:likestringOptional

Filter items by substring in customer attribute name. name:like=join

typestringOptional
The type of the customer attribute.
date_createddatetimeOptional

Filter items by date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14.

date_created:maxdatetimeOptional

Filter items by maximum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created before this date.

date_created:mindatetimeOptional

Filter items by minimum date_created, for example, 2024-05-14T09:34:00, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields created after this date.

date_modifieddatetimeOptional

Filter items by date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14.

date_modified:maxdatetimeOptional

Filter items by maximum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified before this date.

date_modified:mindatetimeOptional

Filter items by minimum date_modified, for example, 2024-05-14T09:34:00 or 2024-05-14. ISO 8601 full-date is required, ISO 8601 full-time is not required. UNIX timestamp also accepted. Returns metafields modified after this date.

Response

datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.